Bug 167073 - No am/pm information with locale es_ES
No am/pm information with locale es_ES
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: php (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
http://www.guegue.com/~javier/php/amp...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-29 18:37 EDT by javier wilson
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-30 05:40:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description javier wilson 2005-08-29 18:37:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
I get no am/pm information with locale es_ES, I do get it when using en_US.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run the following code:
setlocale(LC_TIME, "es_ES");
print "Time (es_ES): " . strftime("%I:%M %p") . "<br>\n";
setlocale(LC_TIME, "en_US");
print "Time (en_US): " . strftime("%I:%M %p") . "<br>\n";


Actual Results:  Time (es_ES): 05:36
Time (en_US): 05:36 PM

Expected Results:  Time (es_ES): 05:36 PM
Time (en_US): 05:36 PM

Additional info:
Comment 1 Joe Orton 2005-08-30 05:40:06 EDT
Thanks for the report.

I would presume that Spanish does not have an AM/PM abbreviation like many
European languages; there is none in the glibc locale database anyway.  Please
reopen and refile against glibc if there is a Spanish AM/PM abbreviation which
is missing from glibc.

Note You need to log in before you can comment on or make changes to this bug.